

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.70. truncate &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.4. データ型" href="../types.html" />
    <link rel="prev" title="7.3.69. tokenizer_list" href="tokenizer_list.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/truncate.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="../types.html" title="7.4. データ型"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="tokenizer_list.html" title="7.3.69. tokenizer_list"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.70. </span><code class="docutils literal notranslate"><span class="pre">truncate</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="truncate">
<h1><span class="section-number">7.3.70. </span><code class="docutils literal notranslate"><span class="pre">truncate</span></code><a class="headerlink" href="#truncate" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.70.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">truncate</span></code> コマンドは指定したテーブルのレコードをすべて削除します。カラムを指定した場合はカラムの値をすべて削除します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.70.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>truncate target_name
</pre></div>
</div>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 4.0.9 で追加: </span><code class="docutils literal notranslate"><span class="pre">target_name</span></code> parameter can be used since 4.0.9. You need to use
<code class="docutils literal notranslate"><span class="pre">table</span></code> parameter for 4.0.8 or earlier.</p>
<p>For backward compatibility, <code class="docutils literal notranslate"><span class="pre">truncate</span></code> command accepts <code class="docutils literal notranslate"><span class="pre">table</span></code>
parameter. But it should not be used for newly written code.</p>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.70.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下はテーブルに対して <code class="docutils literal notranslate"><span class="pre">truncate</span></code> コマンドを実行する簡単な使用例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Users TABLE_PAT_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users score COLUMN_SCALAR Int32
# [[0, 1337566253.89858, 0.000355720520019531], true]
load --table Users
[
{&quot;_key&quot;: &quot;Alice&quot;,  &quot;score&quot;: 2},
{&quot;_key&quot;: &quot;Bob&quot;,    &quot;score&quot;: 0},
{&quot;_key&quot;: &quot;Carlos&quot;, &quot;score&quot;: -1}
]
# [[0, 1337566253.89858, 0.000355720520019531], 3]
select Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         3
#       ],
#       [
#         [
#           &quot;_id&quot;,
#           &quot;UInt32&quot;
#         ],
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;score&quot;,
#           &quot;Int32&quot;
#         ]
#       ],
#       [
#         1,
#         &quot;Alice&quot;,
#         2
#       ],
#       [
#         2,
#         &quot;Bob&quot;,
#         0
#       ],
#       [
#         3,
#         &quot;Carlos&quot;,
#         -1
#       ]
#     ]
#   ]
# ]
truncate Users
# [[0, 1337566253.89858, 0.000355720520019531], true]
select Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         0
#       ],
#       [
#         [
#           &quot;_id&quot;,
#           &quot;UInt32&quot;
#         ],
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;score&quot;,
#           &quot;Int32&quot;
#         ]
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
<p>以下はカラムに対して <code class="docutils literal notranslate"><span class="pre">truncate</span></code> コマンドを実行する簡単な使用例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Users TABLE_PAT_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users score COLUMN_SCALAR Int32
# [[0, 1337566253.89858, 0.000355720520019531], true]
load --table Users
[
{&quot;_key&quot;: &quot;Alice&quot;,  &quot;score&quot;: 2},
{&quot;_key&quot;: &quot;Bob&quot;,    &quot;score&quot;: 0},
{&quot;_key&quot;: &quot;Carlos&quot;, &quot;score&quot;: -1}
]
# [[0, 1337566253.89858, 0.000355720520019531], 3]
select Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         3
#       ],
#       [
#         [
#           &quot;_id&quot;,
#           &quot;UInt32&quot;
#         ],
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;score&quot;,
#           &quot;Int32&quot;
#         ]
#       ],
#       [
#         1,
#         &quot;Alice&quot;,
#         2
#       ],
#       [
#         2,
#         &quot;Bob&quot;,
#         0
#       ],
#       [
#         3,
#         &quot;Carlos&quot;,
#         -1
#       ]
#     ]
#   ]
# ]
truncate Users.score
# [[0, 1337566253.89858, 0.000355720520019531], true]
select Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         3
#       ],
#       [
#         [
#           &quot;_id&quot;,
#           &quot;UInt32&quot;
#         ],
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;score&quot;,
#           &quot;Int32&quot;
#         ]
#       ],
#       [
#         1,
#         &quot;Alice&quot;,
#         0
#       ],
#       [
#         2,
#         &quot;Bob&quot;,
#         0
#       ],
#       [
#         3,
#         &quot;Carlos&quot;,
#         0
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.70.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションでは <code class="docutils literal notranslate"><span class="pre">truncate</span></code> の引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.70.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">target_name</span></code> だけが必須の引数です。</p>
<div class="section" id="target-name">
<h4><span class="section-number">7.3.70.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">target_name</span></code><a class="headerlink" href="#target-name" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>テーブル名またはカラム名を指定します。</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.70.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">truncate</span></code> コマンドは全削除が成功したかどうかを返します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, SUCCEEDED_OR_NOT]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">SUCCEEDED_OR_NOT</span></code></p>
<blockquote>
<div><p>コマンドの実行が成功するとtrueを返します。失敗するとエラーとしてfalseを返します。</p>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.70. <code class="docutils literal notranslate"><span class="pre">truncate</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.70.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.70.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.70.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.70.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.70.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#target-name">7.3.70.4.1.1. <code class="docutils literal notranslate"><span class="pre">target_name</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.70.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="tokenizer_list.html"
                        title="前の章へ"><span class="section-number">7.3.69. </span><code class="docutils literal notranslate"><span class="pre">tokenizer_list</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="../types.html"
                        title="次の章へ"><span class="section-number">7.4. </span>データ型</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="../types.html" title="7.4. データ型"
             >次へ</a> |</li>
        <li class="right" >
          <a href="tokenizer_list.html" title="7.3.69. tokenizer_list"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.70. </span><code class="docutils literal notranslate"><span class="pre">truncate</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>